<template>
  <div class="permission-manage">
    <div class="titleBox">
      <div class="name"> 
        <span>{{ name }}测试报告</span>
      </div>
      <div class="back"><el-icon><ArrowLeftBold /></el-icon>返回</div>
    </div>
    <div class="page-box">
      <div class="search flex">
        <el-date-picker
        v-model="testTime"
        type="date"
        placeholder="选择日期"
      />
        <el-input
          v-model="searchValue"

          placeholder="请输入搜索关键字"
          class="searchInput"
        >
          <template #suffix>
            <el-icon class="el-input__icon"><search /></el-icon>
          </template>
        </el-input>
      </div>
      <div class="list">
        <div>
          <el-table :data="tableData" border :default-sort="{ prop: 'date', order: 'descending' }" style="width: 100%">
            <el-table-column prop="index" label="序号" width="60"/>
            <el-table-column prop="name" label="测试名称" />
            <el-table-column prop="model" label="测试模型" />
            <el-table-column prop="time" label="测试时间" sortable />
            <el-table-column prop="operator" label="测试人"/>
            <el-table-column label="操作">
              <template #default="scope">
                <el-button
                  size="small"
                  @click="getDetail(scope.row)"
                >
                  查看
                </el-button>
              </template>
            </el-table-column>
          </el-table>
        </div>

      </div>

    </div>
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted } from "vue";
const name = ref('飞跃器整模型')
const testTime = ref()
const searchValue = ref()
const tableData = ref([])

onMounted(() => {
  getReportData();
});

const getReportData =()=>{
  let list=[
    {
      index: 1,
      name:'',
      model:'',
      time:'',
      operator:'',
    },
    {
      index: 2,
      name:'',
      model:'',
      time:'',
      operator:'',
    },
    {
      index: 3,
      name:'',
      model:'',
      time:'',
      operator:'',
    },
  ]
  tableData.value = list
}

const getDetail =(row)=>{

}

</script>

<style lang="less" scoped>
.testReport {
  padding: 20px;
}
.titleBox{
  height:36px;
  line-height: 36px;
  background:#409eff;
  position: relative;
  .name{
    text-align:center;
  }
  .back{
    position:absolute;
    left:10px;
    top: 0;
    display: flex;
    align-items: center;
    color:#ffffff;
  }
  
}
.page-box{
  padding: 20px;
  .searchInput{
    width:220px;
    margin-left:20px;
  }
  .list{
    margin-top:20px;
  }
}
</style> 